<link:linkbase
    xmlns:link="http://www.xbrl.org/2003/linkbase"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
    >

   <link:arcroleRef xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" arcroleURI="https://xbrl.org/2023/arcrole/summation-item"/>
   <link:roleRef xlink:type="simple" xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#id_3" roleURI="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000"/>
   <link:roleRef xlink:type="simple" xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#id_4" roleURI="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-310000"/>
   <link:roleRef xlink:type="simple" xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#id_5" roleURI="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-410000"/>
   <link:roleRef xlink:type="simple" xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#id_6" roleURI="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-610000"/>
   <link:roleRef xlink:type="simple" xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#id_7" roleURI="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-800200"/>
   <link:roleRef xlink:type="simple" xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#id_13" roleURI="http://www.damicointernationalshipping.com/xbrl/role/all/ias_7_role-520000"/>
   <!-- https://xbrl.org/2023/arcrole/summation-item http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000 -->
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_NoncurrentAssets"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_CurrentAssets"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" xlink:type="locator"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_PPEAndRoU" xlink:label="ext_PPEAndRoU" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentAssets"
                          xlink:to="ext_PPEAndRoU"
                            weight="1.0"
                            order="119.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="ifrs-full_OtherNoncurrentFinancialAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentAssets"
                          xlink:to="ifrs-full_OtherNoncurrentFinancialAssets"
                            order="120.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssets"
                          xlink:to="ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AssetsHeldforsale" xlink:label="ext_AssetsHeldforsale" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssets"
                          xlink:to="ext_AssetsHeldforsale"
                            weight="1.0"
                            order="11.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"
                          xlink:to="ifrs-full_Inventories"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"
                          xlink:to="ifrs-full_TradeAndOtherCurrentReceivables"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="ifrs-full_OtherCurrentFinancialAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"
                          xlink:to="ifrs-full_OtherCurrentFinancialAssets"
                            order="50.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"
                          xlink:to="ifrs-full_CashAndCashEquivalents"
                            order="70.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_Equity"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_NoncurrentLiabilities"
                            weight="1.0"
                            order="11.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_CurrentLiabilities"
                            weight="1.0"
                            order="12.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_SharePremium"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_IssuedCapital"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_RetainedEarnings"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherReserves" xlink:label="ifrs-full_OtherReserves" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_OtherReserves"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:label="ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentLiabilities"
                          xlink:to="ifrs-full_OtherNoncurrentFinancialLiabilities"
                            order="50.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentLiabilities"
                          xlink:to="ifrs-full_LongtermBorrowings"
                            weight="1.0"
                            order="51.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentLiabilities"
                          xlink:to="ifrs-full_NoncurrentLeaseLiabilities"
                            weight="1.0"
                            order="52.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentLeaseLiabilities"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_TradeAndOtherCurrentPayables"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentTaxLiabilitiesCurrent"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:label="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialLiabilities" xlink:label="ifrs-full_OtherCurrentFinancialLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_OtherCurrentFinancialLiabilities"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-310000 -->
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLoss"
                          xlink:to="ifrs-full_ProfitLossBeforeTax"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLoss"
                          xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_ProfitLossFromOperatingActivities"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_FinanceCosts"
                            weight="-1.0"
                            order="11.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_FinanceIncome"
                            weight="1.0"
                            order="12.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
                          xlink:to="ifrs-full_GrossProfit"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
                          xlink:to="ifrs-full_AdministrativeExpense"
                            order="40.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByFunction" xlink:label="ifrs-full_OtherExpenseByFunction" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
                          xlink:to="ifrs-full_OtherExpenseByFunction"
                            order="50.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" xlink:label="ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
                          xlink:to="ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment"
                            weight="1.0"
                            order="51.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
                          xlink:to="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
                            weight="-1.0"
                            order="52.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" xlink:type="locator"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_BareboatCharterRevenue" xlink:label="ext_BareboatCharterRevenue" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_GrossProfit"
                          xlink:to="ext_BareboatCharterRevenue"
                            weight="1.0"
                            order="18.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_RevenuesExcludingBareboatCharterRevenues" xlink:label="ext_RevenuesExcludingBareboatCharterRevenues" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_GrossProfit"
                          xlink:to="ext_RevenuesExcludingBareboatCharterRevenues"
                            weight="1.0"
                            order="19.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales" xlink:label="ifrs-full_CostOfSales" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_GrossProfit"
                          xlink:to="ifrs-full_CostOfSales"
                            order="20.0"
                            weight="-1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-410000 -->
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_ProfitLoss"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax"
                            weight="1.0"
                            order="11.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges"
                            weight="1.0"
                            order="12.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncome"
                          xlink:to="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncome"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-610000 -->
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-610000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_ProfitLoss"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax"
                            weight="1.0"
                            order="11.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges"
                            weight="1.0"
                            order="12.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-800200 -->
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_1_role-800200" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
                          xlink:to="ifrs-full_DepreciationAndAmortisationExpense"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item http://www.damicointernationalshipping.com/xbrl/role/all/ias_7_role-520000 -->
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
                          xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
                          xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
                          xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_ProfitLoss"
                            weight="1.0"
                            order="50.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_AdjustmentsForIncomeTaxExpense"
                            weight="1.0"
                            order="51.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AdjustmentsForLeaseCosts" xlink:label="ext_AdjustmentsForLeaseCosts" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ext_AdjustmentsForLeaseCosts"
                            weight="1.0"
                            order="52.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AdjustmentsForOtherFinancialCosts" xlink:label="ext_AdjustmentsForOtherFinancialCosts" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ext_AdjustmentsForOtherFinancialCosts"
                            weight="1.0"
                            order="53.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForSharebasedPayments" xlink:label="ifrs-full_AdjustmentsForSharebasedPayments" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_AdjustmentsForSharebasedPayments"
                            weight="1.0"
                            order="54.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="ifrs-full_OtherAdjustmentsForNoncashItems" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_OtherAdjustmentsForNoncashItems"
                            weight="1.0"
                            order="55.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets"
                            weight="1.0"
                            order="56.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_DepreciationAndAmortisationExpense"
                            weight="1.0"
                            order="57.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_OtherNetInterestPaid" xlink:label="ext_OtherNetInterestPaid" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ext_OtherNetInterestPaid"
                            weight="1.0"
                            order="58.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities" xlink:label="ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities"
                            weight="1.0"
                            order="59.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"
                            order="60.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable"
                            weight="1.0"
                            order="61.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"
                            weight="1.0"
                            order="62.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"
                            weight="1.0"
                            order="63.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"
                            order="80.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"
                            weight="1.0"
                            order="81.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
                            order="50.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"
                            order="70.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"
                            order="80.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"
                            order="90.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_DividendsPaidClassifiedAsFinancingActivities"
                            order="110.0"
                            weight="-1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="http://www.damicointernationalshipping.com/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:type="locator"/>
      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear" xlink:label="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashAndCashEquivalents"
                          xlink:to="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
   </link:calculationLink>

</link:linkbase>